diff --git a/qtbase/src/gui/configure.json b/qtbase/src/gui/configure.json
index 1f08795..54176f0 100644
--- a/qtbase/src/gui/configure.json
+++ b/qtbase/src/gui/configure.json
@@ -236,12 +236,9 @@
                     "FT_Face face = 0;"
                 ]
             },
-            "headers": "ft2build.h",
+            "headers": "freetype2/ft2build.h",
             "sources": [
-                { "type": "pkgConfig", "args": "freetype2" },
-                { "type": "freetype", "libs": "-lfreetype", "condition": "!config.wasm" },
-                { "libs": "-s USE_FREETYPE=1", "condition": "config.wasm" },
-                { "libs": "-lfreetype" }
+                "-l:libfreetype.a -l:libz.a -lbz2 -l:libharfbuzz.a -lm -l:libglib-2.0.a -lm -lrt -pthread -l:libpcre2-8.a"
             ],
             "use": [
                 { "lib": "zlib", "condition": "features.system-zlib" }
@@ -261,8 +258,7 @@
             },
             "headers": "fontconfig/fontconfig.h",
             "sources": [
-                { "type": "pkgConfig", "args": "fontconfig" },
-                { "type": "freetype", "libs": "-lfontconfig" }
+                "-l:libfontconfig.a -l:libexpat.a -l:libfreetype.a -l:libz.a -lbz2 -l:libharfbuzz.a -lm -l:libglib-2.0.a -lm -lrt -pthread -l:libpcre2-8.a"
             ],
             "use": "freetype"
         },
@@ -303,7 +299,7 @@
             },
             "headers": "harfbuzz/hb.h",
             "sources": [
-                "-lharfbuzz"
+                "-l:libharfbuzz.a -lm -l:libglib-2.0.a -lm -lrt -pthread -l:libpcre2-8.a -l:libfreetype.a -l:libz.a -lbz2"
             ]
         },
         "imf": {
@@ -563,7 +559,7 @@
             },
             "headers": "X11/Xlib.h",
             "sources": [
-                { "type": "makeSpec", "spec": "X11" }
+                "-lX11"
             ]
         },
         "x11sm": {
@@ -588,16 +584,22 @@
             },
             "headers": "xcb/xcb.h",
             "sources": [
-                { "type": "pkgConfig", "args": "xcb >= 1.11" },
-                "-lxcb"
+                "-l:libxcb.a -l:libXau.a -l:libXdmcp.a"
             ]
         },
         "xcb_icccm": {
             "label": "XCB ICCCM >= 0.3.9",
             "headers": "xcb/xcb_icccm.h",
             "sources": [
-                { "type": "pkgConfig", "args": "xcb-icccm >= 0.3.9" },
-                "-lxcb-icccm"
+                "-l:libxcb-icccm.a -l:libxcb.a -l:libXau.a -l:libXdmcp.a"
+            ],
+            "use": "xcb"
+        },
+        "xcb_util": {
+            "label": "XCB Util >= 0.3.9",
+            "headers": "xcb/xcb_util.h",
+            "sources": [
+                "-l:libxcb-util.a -l:libxcb.a -l:libXau.a -l:libXdmcp.a "
             ],
             "use": "xcb"
         },
@@ -605,17 +607,15 @@
             "label": "XCB Image >= 0.3.9",
             "headers": "xcb/xcb_image.h",
             "sources": [
-                { "type": "pkgConfig", "args": "xcb-image >= 0.3.9" },
-                "-lxcb-image"
+                "-l:libxcb-image.a -l:libxcb-shm.a -l:libxcb.a -l:libXau.a -l:libXdmcp.a"
             ],
-            "use": "xcb_shm xcb"
+            "use": "xcb_shm xcb_util xcb"
         },
         "xcb_keysyms": {
             "label": "XCB Keysyms >= 0.3.9",
             "headers": "xcb/xcb_keysyms.h",
             "sources": [
-                { "type": "pkgConfig", "args": "xcb-keysyms >= 0.3.9" },
-                "-lxcb-keysyms"
+                "-l:libxcb-keysyms.a -l:libxcb.a -l:libXau.a -l:libXdmcp.a"
             ],
             "use": "xcb"
         },
@@ -623,8 +623,7 @@
             "label": "XCB Renderutil >= 0.3.9",
             "headers": "xcb/xcb_renderutil.h",
             "sources": [
-                { "type": "pkgConfig", "args": "xcb-renderutil >= 0.3.9" },
-                "-lxcb-render-util"
+                "-l:libxcb-render-util.a -l:libxcb-render.a -l:libxcb.a -l:libXau.a -l:libXdmcp.a"
             ],
             "use": "xcb xcb_render"
         },
@@ -632,8 +631,7 @@
             "label": "XCB RandR",
             "headers": "xcb/randr.h",
             "sources": [
-                { "type": "pkgConfig", "args": "xcb-randr" },
-                "-lxcb-randr"
+                "-l:libxcb-randr.a -l:libxcb-render.a -l:libxcb.a -l:libXau.a -l:libXdmcp.a"
             ],
             "use": "xcb"
         },
@@ -641,8 +639,7 @@
             "label": "XCB Shape",
             "headers": "xcb/shape.h",
             "sources": [
-                { "type": "pkgConfig", "args": "xcb-shape" },
-                "-lxcb-shape"
+                "-l:libxcb-shape.a -l:libxcb.a -l:libXau.a -l:libXdmcp.a"
             ],
             "use": "xcb"
         },
@@ -650,8 +647,7 @@
             "label": "XCB SHM",
             "headers": "xcb/shm.h",
             "sources": [
-                { "type": "pkgConfig", "args": "xcb-shm" },
-                "-lxcb-shm"
+                "-l:libxcb-shm.a -l:libxcb.a -l:libXau.a -l:libXdmcp.a"
             ],
             "use": "xcb"
         },
@@ -659,8 +655,7 @@
             "label": "XCB Sync",
             "headers": "xcb/sync.h",
             "sources": [
-                { "type": "pkgConfig", "args": "xcb-sync" },
-                "-lxcb-sync"
+                "-l:libxcb-sync.a -l:libxcb.a -l:libXau.a -l:libXdmcp.a"
             ],
             "use": "xcb"
         },
@@ -668,8 +663,7 @@
             "label": "XCB Xfixes",
             "headers": "xcb/xfixes.h",
             "sources": [
-                { "type": "pkgConfig", "args": "xcb-xfixes" },
-                "-lxcb-xfixes"
+                "-l:libxcb-xfixes.a -l:libxcb-render.a -l:libxcb-shape.a -l:libxcb.a -l:libXau.a -l:libXdmcp.a"
             ],
             "use": "xcb"
         },
@@ -677,8 +671,7 @@
             "label": "XCB Xinerama",
             "headers": "xcb/xinerama.h",
             "sources": [
-                { "type": "pkgConfig", "args": "xcb-xinerama" },
-                "-lxcb-xinerama"
+                "-l:libxcb-xinerama.a -l:libxcb.a -l:libXau.a -l:libXdmcp.a"
             ],
             "use": "xcb"
         },
@@ -689,7 +682,6 @@
             },
             "headers": "X11/Xlib-xcb.h",
             "sources": [
-                { "type": "pkgConfig", "args": "x11-xcb" },
                 "-lX11-xcb"
             ],
             "use": "xcb xlib"
@@ -698,8 +690,7 @@
             "label": "XCB XKB",
             "headers": "xcb/xkb.h",
             "sources": [
-                { "type": "pkgConfig", "args": "xcb-xkb" },
-                "-lxcb-xkb"
+                "-l:libxcb-xkb.a -l:libxcb.a -l:libXau.a -l:libXdmcp.a"
             ],
             "use": "xcb"
         },
@@ -707,8 +698,7 @@
             "label": "XCB XRender",
             "headers": "xcb/render.h",
             "sources": [
-                { "type": "pkgConfig", "args": "xcb-render" },
-                "-lxcb-render"
+                "-l:libxcb-render.a -l:libxcb.a -l:libXau.a -l:libXdmcp.a"
             ],
             "use": "xcb"
         },
@@ -725,8 +715,7 @@
             },
             "headers": "xcb/glx.h",
             "sources": [
-                { "type": "pkgConfig", "args": "xcb-glx" },
-                "-lxcb-glx"
+                "-l:libxcb-glx.a -l:libxcb.a -l:libXau.a -l:libXdmcp.a"
             ],
             "use": "xcb"
         },
@@ -743,8 +732,7 @@
             },
             "headers": "xcb/xinput.h",
             "sources": [
-                { "type": "pkgConfig", "args": "xcb-xinput >= 1.12" },
-                "-lxcb-xinput"
+                "-l:libxcb-xinput.a -l:libxcb-xfixes.a -l:libxcb-render.a -l:libxcb-shape.a -l:libxcb.a -l:libXau.a -l:libXdmcp.a"
             ],
             "use": "xcb"
         },
@@ -755,8 +743,7 @@
             },
             "headers": [ "xkbcommon/xkbcommon.h" ],
             "sources": [
-                { "type": "pkgConfig", "args": "xkbcommon >= 0.5.0" },
-                "-lxkbcommon"
+                "-l:libxkbcommon.a"
             ]
         },
         "xkbcommon_x11": {
@@ -766,8 +753,7 @@
             },
             "headers": [ "xkbcommon/xkbcommon-x11.h" ],
             "sources": [
-                { "type": "pkgConfig", "args": "xkbcommon-x11" },
-                "-lxkbcommon -lxkbcommon-x11"
+                "-l:libxkbcommon-x11.a -l:libxcb-xkb.a -l:libxcb.a -l:libXau.a -l:libXdmcp.a -l:libxkbcommon.a"
             ]
         },
         "xrender": {
@@ -782,7 +768,7 @@
             },
             "headers": "X11/extensions/Xrender.h",
             "sources": [
-                "-lXrender"
+                "-l:libXrender.a -l:libX11.a -lpthread -l:libxcb.a -l:libXau.a -l:libXdmcp.a"
             ],
             "use": "xlib"
         }
@@ -846,7 +832,7 @@
                     "XCloseDisplay(dpy);"
                 ]
             },
-            "use": "egl xlib"
+            "use": "egl "
         },
         "egl-brcm": {
             "label": "Broadcom EGL (Raspberry Pi)",
@@ -1087,7 +1073,7 @@
                     "xcb_xkb_get_kbd_by_name_replies_key_names_value_list_sizeof(nullptr, 0, 0, 0, 0, 0, 0, 0, 0);"
                 ]
             },
-            "use": "xcb_icccm xcb_image xcb_keysyms xcb_randr xcb_render xcb_renderutil xcb_shape xcb_shm xcb_sync xcb_xfixes xcb_xinerama xcb_xkb xcb"
+            "use": "xcb_icccm xcb_util xcb_image xcb_keysyms xcb_randr xcb_render xcb_renderutil xcb_shape xcb_shm xcb_sync xcb_xfixes xcb_xinerama xcb_xkb xcb"
         },
         "x11prefix": {
             "label": "X11 prefix",
@@ -1438,7 +1424,7 @@
         },
         "eglfs_x11": {
             "label": "EGLFS X11",
-            "condition": "features.eglfs && features.xcb-xlib && features.egl_x11",
+            "condition": "features.eglfs && features.xcb && features.egl_x11",
             "output": [ "privateFeature" ]
         },
         "gif": {
@@ -1534,7 +1520,7 @@
         "xcb-glx-plugin": {
             "label": "GLX Plugin",
             "emitIf": "features.xcb",
-            "condition": "features.xcb-xlib && features.opengl && !features.opengles2",
+            "condition": "features.xcb && features.opengl && !features.opengles2",
             "output": [ "privateFeature" ]
         },
         "xcb-glx": {
@@ -1553,7 +1539,7 @@
             "label": "Native painting (experimental)",
             "autoDetect": false,
             "emitIf": "features.xcb",
-            "condition": "features.xcb-xlib && features.fontconfig && libs.xrender",
+            "condition": "features.xcb- && features.fontconfig && libs.xrender",
             "output": [ "privateFeature" ]
         },
         "xrender": {
diff --git a/qtbase/src/network/configure.json b/qtbase/src/network/configure.json
index 271ff16..5206a6d 100644
--- a/qtbase/src/network/configure.json
+++ b/qtbase/src/network/configure.json
@@ -84,23 +84,7 @@
                 "main": "SSL_free(SSL_new(0));"
             },
             "sources": [
-                { "type": "openssl" },
-                {
-                    "libs": "-lssleay32 -llibeay32 -lUser32 -lWs2_32 -lAdvapi32 -lGdi32",
-                    "condition": "config.win32"
-                },
-                {
-                    "libs": "-llibssl -llibcrypto -lUser32 -lWs2_32 -lAdvapi32 -lCrypt32",
-                    "condition": "config.msvc"
-                },
-                {
-                    "libs": "-lssl_arm64-v8a -lcrypto_arm64-v8a",
-                    "condition": "config.android"
-                },
-                {
-                    "libs": "-lssl -lcrypto",
-                    "condition": "!config.msvc"
-                }
+                "-l:libssl.a -l:libcrypto.a -ldl -l:libz.a -lpthread"
             ]
         },
         "gssapi": {
@@ -441,7 +425,7 @@
             "message": "When linking against OpenSSL, you can override the default
 library names through OPENSSL_LIBS.
 For example:
-    OPENSSL_LIBS='-L/opt/ssl/lib -lssl -lcrypto' ./configure -openssl-linked"
+    OPENSSL_LIBS='${LIBS_DIR} -l:libssl.a -l:libcrypto.a -ldl -l:libz.a -lpthread' ./configure -openssl-linked"
         },
         {
             "type": "warning",
